V3.0

get

/ec-designer-edc-svc/rest/v3.0/studies/{studyId}/forms/{formId}/formitems

Returns the items configured on a specific form for the requested study mode. Provide the study ID, form ID, and mode; the response is a list of form items with question type, label, reference name, ordering, required status, source data verification setting, and type-specific details such as text length, date format, numeric precision, or choice options when applicable.

Request

Path Parameters
Query Parameters
  • Optional form item type filter. Provide the query parameter once per item type when filtering by multiple types. When omitted, all available form item types for the form are returned.
    Allowed Values: [ "datetime", "numeric", "measurement", "text", "choice", "questionGroup", "table", "section", "label", "instructionalText", "existingData", "fileUpload" ]
    Example:
    text
  • Study mode used to select the form items to return.
    Allowed Values: [ "test", "training", "active" ]

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Form items were returned successfully.
Body ()
Root Schema : schema
Type: array
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
Nested Schema : FormItemDto v21.0
Type: object
Title: FormItemDto v21.0
Discriminator: questionType

Discriminator Values

Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
Show Source
Match One Schema
Show Source
Example:
{
    "questionType":"text",
    "id":"9E0F5C16D8A94C5E9E0F5C16D8A94C5E",
    "formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
    "visitIds":[
        "7B4F1B4C9E874845A67B2A83251F9012"
    ],
    "formTitle":"Demographics",
    "questionLabel":"Subject Initials",
    "questionHint":"Enter the subject initials.",
    "refname":"SUBJ_INIT",
    "required":true,
    "dynamic":0,
    "hidden":false,
    "readOnly":false,
    "sdvRequired":"NEVER",
    "sequence":1,
    "groupSequence":1,
    "sasVariable":"SUBJINIT",
    "sasLabel":"Subject Initials"
}
Nested Schema : advancedProps
Type: array
Show Source
Nested Schema : dataClassificationIds
Type: array
Data classification entries.
Show Source
Example:
[
    {
        "id":"B1B8327AFAA6412287106192AB5984EF",
        "type":"DATA_CLASSIFICATION",
        "name":"CLASSIFICATION_ID",
        "value":"B1B8327AFAA6412287106192AB5984EF",
        "label":"Confidential"
    }
]
Nested Schema : e2br3Mapping
Type: array
E2B R3 mapping entries.
Show Source
Example:
[
    {
        "id":"B1B8327AFAA6412287106192AB5984EF",
        "type":"E2BR3",
        "name":"E2B_FIELD",
        "value":"PATIENT_AGE",
        "label":"Patient Age"
    }
]
Nested Schema : visitIds
Type: array
Visit IDs associated with this form item. Each value is a UUID, 32-character uppercase hexadecimal string.
Show Source
  • Visit IDs associated with this form item. Each value is a UUID, 32-character uppercase hexadecimal string.
Example:
[
    "7B4F1B4C9E874845A67B2A83251F9012",
    "8C5F1B4C9E874845A67B2A83251F9013"
]
Nested Schema : FormNumberItemDto v21.0
Type: object
Title: FormNumberItemDto v21.0
Numeric or measurement form item returned from a study form.
Match All
Numeric or measurement form item returned from a study form.
Numeric or measurement form item returned from a study form.
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
  • FormNumberItemDto v21.0-allOf[1]
Example:
{
    "questionType":"numeric",
    "id":"2C6A91D5D3384DA8B8E8DD1A28B69E31",
    "formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
    "formTitle":"Vitals",
    "questionLabel":"Weight",
    "refname":"WEIGHT",
    "required":true,
    "sdvRequired":"ALWAYS",
    "sequence":2,
    "precision":1,
    "units":"kg"
}
Nested Schema : FormChoiceItemDto v21.0
Type: object
Title: FormChoiceItemDto v21.0
Choice form item returned from a study form, including selectable options when configured.
Match All
Choice form item returned from a study form, including selectable options when configured.
Choice form item returned from a study form, including selectable options when configured.
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
  • FormChoiceItemDto v21.0-allOf[1]
Example:
{
    "questionType":"choice",
    "id":"4A9CE0F0A13A4F4C903C18EBB8B1C552",
    "formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
    "formTitle":"Demographics",
    "questionLabel":"Sex",
    "refname":"SEX",
    "required":true,
    "sdvRequired":"NEVER",
    "sequence":4,
    "display":"radioset",
    "columnLayout":"EBCF17C5F8D4460AA4A9673485C79CF0",
    "columnLayoutLabel":"Single",
    "options":[
        {
            "label":"Female",
            "value":"F",
            "clCode":"F",
            "clDescription":"Female",
            "clValue":"Female",
            "clItemId":"1F4A6C7E1B8F4D56A23C9F3A0C7D4E21",
            "hidden":false,
            "optionSeq":"1"
        }
    ],
    "clTitle":"Sex",
    "clDescription":"Standard sex codelist",
    "isCodeListReplaced":false,
    "codelistLinkType":"STATIC",
    "codelistId":"EBCF17C5F8D4460AA4A9673485C79CF0",
    "codelistLang":"en-US"
}
Nested Schema : FormTextItemDto v21.0
Type: object
Title: FormTextItemDto v21.0
Text form item returned from a study form.
Match All
Text form item returned from a study form.
Text form item returned from a study form.
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
  • FormTextItemDto v21.0-allOf[1]
Example:
{
    "questionType":"text",
    "id":"9E0F5C16D8A94C5E9E0F5C16D8A94C5E",
    "formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
    "formTitle":"Demographics",
    "questionLabel":"Subject Initials",
    "refname":"SUBJ_INIT",
    "required":true,
    "sdvRequired":"NEVER",
    "sequence":1,
    "maxlength":4000,
    "multiline":false
}
Nested Schema : FormDatetimeItemDto v21.0
Type: object
Title: FormDatetimeItemDto v21.0
Date or date-time form item returned from a study form.
Match All
Date or date-time form item returned from a study form.
Date or date-time form item returned from a study form.
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
  • FormDatetimeItemDto v21.0-allOf[1]
Example:
{
    "questionType":"datetime",
    "id":"D42F5888C55B4E7B9E25F1A7C1F0B8D4",
    "formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
    "formTitle":"Demographics",
    "questionLabel":"Date of Birth",
    "refname":"DOB",
    "required":true,
    "sdvRequired":"ALWAYS",
    "sequence":3,
    "format":"DD-MON-YYYY",
    "allowPartialDate":1,
    "partialDate":"MON-YYYY",
    "allowFutureDate":0
}
Nested Schema : FormQuestionGroupItemDto v21.0
Type: object
Title: FormQuestionGroupItemDto v21.0
Question group form item returned from a study form. Nested items contain the questions in the group.
Match All
Question group form item returned from a study form. Nested items contain the questions in the group.
Question group form item returned from a study form. Nested items contain the questions in the group.
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
  • FormQuestionGroupItemDto v21.0-allOf[1]
Example:
{
    "questionType":"questionGroup",
    "id":"6B6C22EAD8AC42F8952E73B9A62219D1",
    "formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
    "formTitle":"Medical History",
    "questionLabel":"Medication Details",
    "refname":"MED_GRP",
    "required":false,
    "sdvRequired":"NEVER",
    "sequence":5,
    "items":[
        {
            "questionType":"text",
            "id":"9E0F5C16D8A94C5E9E0F5C16D8A94C5E",
            "formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
            "questionLabel":"Medication Name",
            "refname":"MED_NAME",
            "required":true,
            "sdvRequired":"NEVER",
            "sequence":1,
            "maxlength":200,
            "multiline":false
        }
    ]
}
Nested Schema : FormTableItemDto v21.0
Type: object
Title: FormTableItemDto v21.0
Form Table Item Details Information
Match All
Form Table Item Details Information
Form Table Item Details Information
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
  • FormTableItemDto v21.0-allOf[1]
Nested Schema : FormSectionalItemDto v21.0
Type: object
Title: FormSectionalItemDto v21.0
Form Sectional Item Details Information
Match All
Form Sectional Item Details Information
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
Nested Schema : FormLabelItemDto
Type: object
Match All
Show Source
  • FormItemDto v16.0
    Title: FormItemDto v16.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov16", "numeric":"#/components/schemas/FormNumberItemDtov16", "measurement":"#/components/schemas/FormNumberItemDtov16", "text":"#/components/schemas/FormTextItemDtov16", "choice":"#/components/schemas/FormChoiceItemDtov16", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov16", "table":"#/components/schemas/FormTableItemDtov16", "label":"#/components/schemas/FormLabelItemDto" } }
    Form Item Information
  • FormLabelItemDto-allOf[1]
Nested Schema : FormInstructionalTextItemDto v21.0
Type: object
Title: FormInstructionalTextItemDto v21.0
Instructional text item returned from a study form.
Match All
Instructional text item returned from a study form.
Instructional text item returned from a study form.
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
  • FormInstructionalTextItemDto v21.0-allOf[1]
Example:
{
    "questionType":"instructionalText",
    "id":"A6BB54DE91324969AB3BC4079E771295",
    "formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
    "formTitle":"Demographics",
    "questionLabel":"Instructions",
    "refname":"DEMOG_INST",
    "required":false,
    "sdvRequired":"NEVER",
    "sequence":6,
    "instructionalText":"Please complete all required demographic questions."
}
Nested Schema : FormExistingDataItemDto v21.0
Type: object
Title: FormExistingDataItemDto v21.0
Existing-data form item returned from a study form.
Match All
Existing-data form item returned from a study form.
Existing-data form item returned from a study form.
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
  • FormExistingDataItemDto v21.0-allOf[1]
Example:
{
    "questionType":"existingData",
    "id":"2E4E9F0B3F124D938E7B70E9527E05D4",
    "formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
    "formTitle":"Site Information",
    "questionLabel":"Site Name",
    "refname":"SITE_NAME",
    "required":false,
    "sdvRequired":"NEVER",
    "sequence":7,
    "existingDataCodeName":"EDLSite",
    "existingDataCodeValue":"SiteName"
}
Nested Schema : FormFileUploadItemDto v21.0
Type: object
Title: FormFileUploadItemDto v21.0
Form File Upload Item Details Information
Match All
Form File Upload Item Details Information
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
Nested Schema : FormItemAdvancedPropDto v21.0
Type: object
Title: FormItemAdvancedPropDto v21.0
Advanced property associated with a form item.
Show Source
Example:
{
    "id":"B1B8327AFAA6412287106192AB5984EF",
    "type":"RolloverQuestion",
    "name":"RolloverQuestionStudyId",
    "value":"C2C8327AFAA6412287106192AB5984EF",
    "label":"Rollover Study BT-31",
    "rules":[
        {
            "name":"RolloverQuestionAnswer",
            "value":"YES",
            "label":"Yes"
        }
    ]
}
Nested Schema : rules
Type: array
Advanced property rules list.
Show Source
Example:
[
    {
        "name":"RolloverQuestionAnswer",
        "value":"B1B8327AFAA6412287106192AB5984EF",
        "label":"Yes"
    }
]
Nested Schema : FormItemAdvancedPropRuleDto v21.0
Type: object
Title: FormItemAdvancedPropRuleDto v21.0
Rule entry for a form item advanced property.
Show Source
Example:
{
    "name":"RolloverQuestionAnswer",
    "value":"YES",
    "label":"Yes"
}
Nested Schema : FormNumberItemDto v21.0-allOf[1]
Type: object
Show Source
  • Minimum Value: 0
    Number of digits allowed after the decimal point. Minimum value: 0.
    Example: 1
  • Unit of measure displayed with the numeric answer when configured.
    Example: kg
Nested Schema : FormChoiceItemDto v21.0-allOf[1]
Type: object
Show Source
Nested Schema : advancedProps
Type: array
Show Source
Nested Schema : options
Type: array
Show Source
Nested Schema : FormItemAdvancedPropWithParentDto v21.0
Type: object
Title: FormItemAdvancedPropWithParentDto v21.0
Advanced property associated with a form item and its parent object.
Show Source
Example:
{
    "id":"B1B8327AFAA6412287106192AB5984EF",
    "type":"AssignedVisit",
    "name":"Visit",
    "value":"D3D8327AFAA6412287106192AB5984EF",
    "label":"Screening",
    "parentObjectId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
    "parentObjectLabel":"Demographics",
    "parentObjectLevel":"FORM"
}
Nested Schema : rules
Type: array
Advanced property rules list.
Show Source
Example:
[
    {
        "name":"RolloverQuestionAnswer",
        "value":"B1B8327AFAA6412287106192AB5984EF",
        "label":"Yes"
    }
]
Nested Schema : FormOptionDto v21.0
Type: object
Title: FormOptionDto v21.0
Selectable option returned for a choice form item.
Show Source
  • Codelist code for the choice option when linked to a codelist.
    Example: F
  • Minimum Length: 1
    Maximum Length: 4000
    Codelist description for the choice option when linked to a codelist.
    Example: Female
  • Codelist item ID for the choice option (UUID, 32-character uppercase hexadecimal string).
  • Codelist value for the choice option when linked to a codelist.
    Example: Female
  • Is form item option hidden?
    Example: false
  • Minimum Length: 1
    Maximum Length: 4000
    Display label for the choice option.
    Example: Female
  • Minimum Length: 1
    Maximum Length: 4000
    Sequence value for ordering the choice option.
    Example: 1
  • Minimum Length: 1
    Maximum Length: 4000
    Stored answer value for the choice option.
    Example: F
Example:
{
    "label":"Female",
    "value":"F",
    "clCode":"F",
    "clDescription":"Female",
    "clValue":"Female",
    "clItemId":"1F4A6C7E1B8F4D56A23C9F3A0C7D4E21",
    "hidden":false,
    "optionSeq":"1"
}
Nested Schema : FormTextItemDto v21.0-allOf[1]
Type: object
Show Source
  • Minimum Value: 0
    Maximum Value: 4000
    Maximum number of characters allowed for the text answer. Allowed range: 0 to 4000.
    Example: 4000
  • Indicates whether the text answer supports multiple lines.
    Example: false
Nested Schema : FormDatetimeItemDto v21.0-allOf[1]
Type: object
Show Source
Nested Schema : FormQuestionGroupItemDto v21.0-allOf[1]
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
Nested Schema : FormTableItemDto v21.0-allOf[1]
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
Nested Schema : FormItemDto v16.0
Type: object
Title: FormItemDto v16.0
Discriminator: questionType

Discriminator Values

Form Item Information
Show Source
Match One Schema
Show Source
Nested Schema : FormLabelItemDto-allOf[1]
Type: object
Show Source
Nested Schema : advancedProps
Type: array
Show Source
Nested Schema : options
Type: array
Show Source
Nested Schema : From Item Advanced Property With Parent v16.0
Type: object
Title: From Item Advanced Property With Parent v16.0
Form Item Advanced Property with Parent Info
Show Source
Nested Schema : rules
Type: array
Show Source
Nested Schema : From Item Advanced Property Rule v16.0
Type: object
Title: From Item Advanced Property Rule v16.0
Form Item Advanced Property Rule
Show Source
  • For RolloverQuestion property it is an ECDV_CODELISTITEM.VALUE
    Example: Yes
  • name
    Example: RolloverQuestionAnswer
  • For RolloverQuestion property it is an ECDV_CODELISTITEM.CODELISTITEM_ID
    Example: B1B8327AFAA6412287106192AB5984EF
Nested Schema : FormOptionDto v16.0
Type: object
Title: FormOptionDto v16.0
Form choice item option details
Show Source
  • Codelist code for a one specific choice.
    Example: 1
  • Minimum Length: 1
    Maximum Length: 4000
    Codelist description for a one specific choice.
    Example: 1
  • Codelist value for a one specific choice.
    Example: 1
  • Minimum Length: 1
    Maximum Length: 4000
    Form choice selectbox label for a one specific choice.
    Example: Female
  • Minimum Length: 1
    Maximum Length: 4000
    Form choice selectbox value for a one specific choice.
    Example: 1
Nested Schema : FormInstructionalTextItemDto v21.0-allOf[1]
Type: object
Show Source
  • Instructional text displayed with the form item.
    Example: Please complete all required demographic questions.
Nested Schema : FormExistingDataItemDto v21.0-allOf[1]
Type: object
Show Source
Examples

400 Response

The request contains an invalid study ID, form ID, mode, or item type filter.
Body ()
Root Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Examples

500 Response

Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Body ()
Root Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Examples

Back to Top